#!/bin/sh

gst=/usr/share/gnome-shell/gnome-shell-theme.gresource
workdir=${HOME}/Github/TROMjaro/tromjaro-gnome-theme/gnome-shell

if [ -d $workdir ]; then
	rm -R $workdir
fi

for r in `gresource list $gst`; do
	r=${r#\/org\/gnome\/shell/}
	if [ ! -d $workdir/${r%/*} ]; then
	  mkdir -p $workdir/${r%/*}
	fi
done

for r in `gresource list $gst`; do
        gresource extract $gst $r >$workdir/${r#\/org\/gnome\/shell/}
done
